ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.CmmToLlvm.Version.Type

# Documentation

newtype LlvmVersion Source #

Constructors

LlvmVersion |

Fields

- llvmVersionNE :: NonEmpty Int

#### Instances

Instances details

Eq LlvmVersion Source # |
Instance details Defined in GHC.CmmToLlvm.Version.Type Methods (==) :: LlvmVersion -> LlvmVersion -> Bool Source # (/=) :: LlvmVersion -> LlvmVersion -> Bool Source #
Ord LlvmVersion Source # |

Instance details

Defined in GHC.CmmToLlvm.Version.Type

Methods

compare :: LlvmVersion -> LlvmVersion -> Ordering Source #

(<) :: LlvmVersion -> LlvmVersion -> Bool Source #

(<=) :: LlvmVersion -> LlvmVersion -> Bool Source #

(>) :: LlvmVersion -> LlvmVersion -> Bool Source #

(>=) :: LlvmVersion -> LlvmVersion -> Bool Source #

max :: LlvmVersion -> LlvmVersion -> LlvmVersion Source #

min :: LlvmVersion -> LlvmVersion -> LlvmVersion Source #